* configure.in (MIG): Just AC_SUBST it here.

* configure: Regenerated.
	* sysdeps/mach/configure.in (MIG): Do the AC_CHECK_TOOL here.
	Adding final - argument to all AC_CHECK_HEADER uses for .defs files.
	* sysdeps/mach/configure: Regenerated.

	* aclocal.m4 (GLIBC_PROVIDES): Add AC_PROVIDE([_AS_TR_SH_PREPARE])
	and AC_PROVIDE([_AS_CR_PREPARE]).
This commit is contained in:
Roland McGrath 2002-10-18 01:49:07 +00:00
parent b9cb349fb4
commit 2d37ce0f61
6 changed files with 443 additions and 302 deletions

View File

@ -1,5 +1,14 @@
2002-10-17 Roland McGrath <roland@redhat.com>
* configure.in (MIG): Just AC_SUBST it here.
* configure: Regenerated.
* sysdeps/mach/configure.in (MIG): Do the AC_CHECK_TOOL here.
Adding final - argument to all AC_CHECK_HEADER uses for .defs files.
* sysdeps/mach/configure: Regenerated.
* aclocal.m4 (GLIBC_PROVIDES): Add AC_PROVIDE([_AS_TR_SH_PREPARE])
and AC_PROVIDE([_AS_CR_PREPARE]).
* aclocal.m4 (GLIBC_PROVIDES): Add AC_PROVIDE([_AS_ECHO_N_PREPARE]).
Remove AC_LANG(C) call, instead just define([_AC_LANG], [C]).

2
aclocal.m4 vendored
View File

@ -5,6 +5,8 @@ dnl AC_REQUIREs or AC_BEFOREs duplicating their code.
dnl
define([GLIBC_PROVIDES], [dnl
AC_PROVIDE([_AS_ECHO_N_PREPARE])dnl
AC_PROVIDE([_AS_CR_PREPARE])dnl
AC_PROVIDE([_AS_TR_SH_PREPARE])dnl
AC_PROVIDE([AC_PROG_INSTALL])dnl
AC_PROVIDE([AC_PROG_RANLIB])dnl
AC_PROVIDE([AC_PROG_CC])dnl

89
configure vendored
View File

@ -3509,86 +3509,6 @@ echo "$as_me:$LINENO: result: $libc_cv_prog_ld_gnu" >&5
echo "${ECHO_T}$libc_cv_prog_ld_gnu" >&6
gnu_ld=$libc_cv_prog_ld_gnu
if test -n "$ac_tool_prefix"; then
# Extract the first word of "${ac_tool_prefix}mig", so it can be a program name with args.
set dummy ${ac_tool_prefix}mig; ac_word=$2
echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_MIG+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
if test -n "$MIG"; then
ac_cv_prog_MIG="$MIG" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
ac_cv_prog_MIG="${ac_tool_prefix}mig"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi
done
done
fi
fi
MIG=$ac_cv_prog_MIG
if test -n "$MIG"; then
echo "$as_me:$LINENO: result: $MIG" >&5
echo "${ECHO_T}$MIG" >&6
else
echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6
fi
fi
if test -z "$ac_cv_prog_MIG"; then
ac_ct_MIG=$MIG
# Extract the first word of "mig", so it can be a program name with args.
set dummy mig; ac_word=$2
echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_ac_ct_MIG+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
if test -n "$ac_ct_MIG"; then
ac_cv_prog_ac_ct_MIG="$ac_ct_MIG" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
ac_cv_prog_ac_ct_MIG="mig"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi
done
done
test -z "$ac_cv_prog_ac_ct_MIG" && ac_cv_prog_ac_ct_MIG="MISSING"
fi
fi
ac_ct_MIG=$ac_cv_prog_ac_ct_MIG
if test -n "$ac_ct_MIG"; then
echo "$as_me:$LINENO: result: $ac_ct_MIG" >&5
echo "${ECHO_T}$ac_ct_MIG" >&6
else
echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6
fi
MIG=$ac_ct_MIG
else
MIG="$ac_cv_prog_MIG"
fi
# Accept binutils 2.10.1 or newer (and also any ia64 2.9 version)
# XXX Commented out because it filters out too many good versions.
@ -4860,7 +4780,7 @@ if test "${libc_cv_asm_underscores+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.$ac_ext <<EOF
#line 4863 "configure"
#line 4783 "configure"
#include "confdefs.h"
void underscore_test(void) {
return; }
@ -5163,7 +5083,7 @@ if test "${libc_cv_gcc_dwarf2_unwind_info+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.c <<EOF
#line 5166 "configure"
#line 5086 "configure"
static char *__EH_FRAME_BEGIN__;
_start ()
{
@ -5262,7 +5182,7 @@ if test "${libc_cv_gcc_builtin_expect+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.c <<EOF
#line 5265 "configure"
#line 5185 "configure"
int foo (int a)
{
a = __builtin_expect (a, 10);
@ -5330,7 +5250,7 @@ if test "${libc_cv_gcc_subtract_local_labels+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.c <<EOF
#line 5333 "configure"
#line 5253 "configure"
int foo (int a)
{
static const int ar[] = { &&l1 - &&l1, &&l2 - &&l1 };
@ -6905,7 +6825,6 @@ s,@AR@,$AR,;t t
s,@RANLIB@,$RANLIB,;t t
s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
s,@MIG@,$MIG,;t t
s,@ac_ct_MIG@,$ac_ct_MIG,;t t
s,@CCVERSION@,$CCVERSION,;t t
s,@SYSINCLUDES@,$SYSINCLUDES,;t t
s,@libc_cv_gcc_static_libgcc@,$libc_cv_gcc_static_libgcc,;t t

View File

@ -652,7 +652,7 @@ fi
AC_SUBST(cross_compiling)
AC_PROG_CPP
LIBC_PROG_BINUTILS
AC_CHECK_TOOL(MIG, mig, MISSING)
AC_SUBST(MIG)dnl Needed by sysdeps/mach/configure.in
# Accept binutils 2.10.1 or newer (and also any ia64 2.9 version)
# XXX Commented out because it filters out too many good versions.

631
sysdeps/mach/configure vendored
View File

@ -1,168 +1,351 @@
#! /bin/sh
# This file is generated from configure.in by Autoconf. DO NOT EDIT!
# The user is always right.
if test "${PATH_SEPARATOR+set}" != set; then
echo "#! /bin/sh" >conftest.sh
echo "exit 0" >>conftest.sh
chmod +x conftest.sh
if (PATH=".;."; conftest.sh) >/dev/null 2>&1; then
PATH_SEPARATOR=';'
else
PATH_SEPARATOR=:
fi
rm -f conftest.sh
fi
as_executable_p="test -f"
if test -n "$ac_tool_prefix"; then
# Extract the first word of "${ac_tool_prefix}mig", so it can be a program name with args.
set dummy ${ac_tool_prefix}mig; ac_word=$2
echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_MIG+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
if test -n "$MIG"; then
ac_cv_prog_MIG="$MIG" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
ac_cv_prog_MIG="${ac_tool_prefix}mig"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi
done
done
fi
fi
MIG=$ac_cv_prog_MIG
if test -n "$MIG"; then
echo "$as_me:$LINENO: result: $MIG" >&5
echo "${ECHO_T}$MIG" >&6
else
echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6
fi
fi
if test -z "$ac_cv_prog_MIG"; then
ac_ct_MIG=$MIG
# Extract the first word of "mig", so it can be a program name with args.
set dummy mig; ac_word=$2
echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_ac_ct_MIG+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
if test -n "$ac_ct_MIG"; then
ac_cv_prog_ac_ct_MIG="$ac_ct_MIG" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
ac_cv_prog_ac_ct_MIG="mig"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi
done
done
test -z "$ac_cv_prog_ac_ct_MIG" && ac_cv_prog_ac_ct_MIG="MISSING"
fi
fi
ac_ct_MIG=$ac_cv_prog_ac_ct_MIG
if test -n "$ac_ct_MIG"; then
echo "$as_me:$LINENO: result: $ac_ct_MIG" >&5
echo "${ECHO_T}$ac_ct_MIG" >&6
else
echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6
fi
MIG=$ac_ct_MIG
else
MIG="$ac_cv_prog_MIG"
fi
if test "x$MIG" = xMISSING; then
{ echo "configure: error: cannot find required build tool mig" 1>&2; exit 1; }
{ { echo "$as_me:$LINENO: error: cannot find required build tool mig" >&5
echo "$as_me: error: cannot find required build tool mig" >&2;}
{ (exit 1); exit 1; }; }
fi
### Sanity checks for Mach header installation
ac_safe=`echo "mach/mach_types.h" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for mach/mach_types.h""... $ac_c" 1>&6
echo "configure:10: checking for mach/mach_types.h" >&5
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
echo "$as_me:$LINENO: checking for mach/mach_types.h" >&5
echo $ECHO_N "checking for mach/mach_types.h... $ECHO_C" >&6
if test "${ac_cv_header_mach_mach_types_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.$ac_ext <<EOF
#line 15 "configure"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#include <mach/mach_types.h>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:20: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
rm -rf conftest*
eval "ac_cv_header_$ac_safe=yes"
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
else
ac_cpp_err=
fi
else
echo "$ac_err" >&5
echo "configure: failed program was:" >&5
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
ac_cv_header_mach_mach_types_h=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
rm -rf conftest*
eval "ac_cv_header_$ac_safe=no"
ac_cv_header_mach_mach_types_h=no
fi
rm -f conftest*
rm -f conftest.err conftest.$ac_ext
fi
if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
echo "$ac_t""yes" 1>&6
echo "$as_me:$LINENO: result: $ac_cv_header_mach_mach_types_h" >&5
echo "${ECHO_T}$ac_cv_header_mach_mach_types_h" >&6
if test $ac_cv_header_mach_mach_types_h = yes; then
:
else
echo "$ac_t""no" 1>&6
{ echo "configure: error: cannot find Mach headers" 1>&2; exit 1; }
{ { echo "$as_me:$LINENO: error: cannot find Mach headers" >&5
echo "$as_me: error: cannot find Mach headers" >&2;}
{ (exit 1); exit 1; }; }
fi
ac_safe=`echo "mach/mach_types.defs" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for mach/mach_types.defs""... $ac_c" 1>&6
echo "configure:44: checking for mach/mach_types.defs" >&5
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
echo "$as_me:$LINENO: checking for mach/mach_types.defs" >&5
echo $ECHO_N "checking for mach/mach_types.defs... $ECHO_C" >&6
if test "${ac_cv_header_mach_mach_types_defs+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.$ac_ext <<EOF
#line 49 "configure"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#include <mach/mach_types.defs>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:54: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
rm -rf conftest*
eval "ac_cv_header_$ac_safe=yes"
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
else
ac_cpp_err=
fi
else
echo "$ac_err" >&5
echo "configure: failed program was:" >&5
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
ac_cv_header_mach_mach_types_defs=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
rm -rf conftest*
eval "ac_cv_header_$ac_safe=no"
ac_cv_header_mach_mach_types_defs=no
fi
rm -f conftest*
rm -f conftest.err conftest.$ac_ext
fi
if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
echo "$ac_t""yes" 1>&6
echo "$as_me:$LINENO: result: $ac_cv_header_mach_mach_types_defs" >&5
echo "${ECHO_T}$ac_cv_header_mach_mach_types_defs" >&6
if test $ac_cv_header_mach_mach_types_defs = yes; then
:
else
echo "$ac_t""no" 1>&6
{ echo "configure: error: cannot find Mach .defs files" 1>&2; exit 1; }
{ { echo "$as_me:$LINENO: error: cannot find Mach .defs files" >&5
echo "$as_me: error: cannot find Mach .defs files" >&2;}
{ (exit 1); exit 1; }; }
fi
echo $ac_n "checking for task_t in mach/mach_types.h""... $ac_c" 1>&6
echo "configure:80: checking for task_t in mach/mach_types.h" >&5
if eval "test \"`echo '$''{'libc_cv_mach_task_t'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
echo "$as_me:$LINENO: checking for task_t in mach/mach_types.h" >&5
echo $ECHO_N "checking for task_t in mach/mach_types.h... $ECHO_C" >&6
if test "${libc_cv_mach_task_t+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.$ac_ext <<EOF
#line 85 "configure"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#include <mach/mach_types.h>
int main() {
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
# endif
int F77_DUMMY_MAIN() { return 1; }
#endif
int
main ()
{
extern task_t foo;
; return 0; }
EOF
if { (eval echo configure:92: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
libc_cv_mach_task_t=task_t
else
echo "configure: failed program was:" >&5
cat conftest.$ac_ext >&5
rm -rf conftest*
libc_cv_mach_task_t=task_port_t
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
libc_cv_mach_task_t=task_port_t
fi
rm -f conftest*
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$ac_t""$libc_cv_mach_task_t" 1>&6
echo "$as_me:$LINENO: result: $libc_cv_mach_task_t" >&5
echo "${ECHO_T}$libc_cv_mach_task_t" >&6
if test $libc_cv_mach_task_t != task_t; then
DEFINES="$DEFINES -Dtask_t=task_port_t"
fi
echo $ac_n "checking for thread_t in mach/mach_types.h""... $ac_c" 1>&6
echo "configure:109: checking for thread_t in mach/mach_types.h" >&5
if eval "test \"`echo '$''{'libc_cv_mach_thread_t'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
echo "$as_me:$LINENO: checking for thread_t in mach/mach_types.h" >&5
echo $ECHO_N "checking for thread_t in mach/mach_types.h... $ECHO_C" >&6
if test "${libc_cv_mach_thread_t+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.$ac_ext <<EOF
#line 114 "configure"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#include <mach/mach_types.h>
int main() {
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
# endif
int F77_DUMMY_MAIN() { return 1; }
#endif
int
main ()
{
extern thread_t foo;
; return 0; }
EOF
if { (eval echo configure:121: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
libc_cv_mach_thread_t=thread_t
else
echo "configure: failed program was:" >&5
cat conftest.$ac_ext >&5
rm -rf conftest*
libc_cv_mach_thread_t=thread_port_t
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
libc_cv_mach_thread_t=thread_port_t
fi
rm -f conftest*
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$ac_t""$libc_cv_mach_thread_t" 1>&6
echo "$as_me:$LINENO: result: $libc_cv_mach_thread_t" >&5
echo "${ECHO_T}$libc_cv_mach_thread_t" >&6
if test $libc_cv_mach_thread_t != thread_t; then
DEFINES="$DEFINES -Dthread_t=thread_port_t"
fi
echo $ac_n "checking for creation_time in task_basic_info""... $ac_c" 1>&6
echo "configure:139: checking for creation_time in task_basic_info" >&5
if eval "test \"`echo '$''{'libc_cv_mach_task_creation_time'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
echo "$as_me:$LINENO: checking for creation_time in task_basic_info" >&5
echo $ECHO_N "checking for creation_time in task_basic_info... $ECHO_C" >&6
if test "${libc_cv_mach_task_creation_time+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.$ac_ext <<EOF
#line 144 "configure"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#include <mach/task_info.h>
int main() {
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
# endif
int F77_DUMMY_MAIN() { return 1; }
#endif
int
main ()
{
extern struct task_basic_info *i;
long s = i->creation_time.seconds;
; return 0; }
EOF
if { (eval echo configure:154: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
libc_cv_mach_task_creation_time=yes
else
echo "configure: failed program was:" >&5
cat conftest.$ac_ext >&5
rm -rf conftest*
libc_cv_mach_task_creation_time=no
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
libc_cv_mach_task_creation_time=no
fi
rm -f conftest*
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$ac_t""$libc_cv_mach_task_creation_time" 1>&6
echo "$as_me:$LINENO: result: $libc_cv_mach_task_creation_time" >&5
echo "${ECHO_T}$libc_cv_mach_task_creation_time" >&6
if test $libc_cv_mach_task_creation_time = no; then
DEFINES="$DEFINES -DNO_CREATION_TIME=1"
fi
@ -174,197 +357,225 @@ for ifc in mach mach4 \
memory_object memory_object_default default_pager \
i386/mach_i386 \
; do
ac_safe=`echo "mach/${ifc}.defs" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for mach/${ifc}.defs""... $ac_c" 1>&6
echo "configure:180: checking for mach/${ifc}.defs" >&5
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
as_ac_Header=`echo "ac_cv_header_mach/${ifc}.defs" | $as_tr_sh`
echo "$as_me:$LINENO: checking for mach/${ifc}.defs" >&5
echo $ECHO_N "checking for mach/${ifc}.defs... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.$ac_ext <<EOF
#line 185 "configure"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#include <mach/${ifc}.defs>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:190: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
rm -rf conftest*
eval "ac_cv_header_$ac_safe=yes"
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
else
ac_cpp_err=
fi
else
echo "$ac_err" >&5
echo "configure: failed program was:" >&5
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
eval "$as_ac_Header=yes"
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
rm -rf conftest*
eval "ac_cv_header_$ac_safe=no"
eval "$as_ac_Header=no"
fi
rm -f conftest*
rm -f conftest.err conftest.$ac_ext
fi
if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
echo "$ac_t""yes" 1>&6
echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
if test `eval echo '${'$as_ac_Header'}'` = yes; then
mach_interface_list="$mach_interface_list $ifc"
else
echo "$ac_t""no" 1>&6
fi
done
if test "x$mach_interface_list" = x; then
{ echo "configure: error: what manner of Mach is this?" 1>&2; exit 1; }
{ { echo "$as_me:$LINENO: error: what manner of Mach is this?" >&5
echo "$as_me: error: what manner of Mach is this?" >&2;}
{ (exit 1); exit 1; }; }
fi
echo $ac_n "checking for host_page_size in mach_host.defs""... $ac_c" 1>&6
echo "configure:217: checking for host_page_size in mach_host.defs" >&5
if eval "test \"`echo '$''{'libc_cv_mach_host_page_size'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
echo "$as_me:$LINENO: checking for host_page_size in mach_host.defs" >&5
echo $ECHO_N "checking for host_page_size in mach_host.defs... $ECHO_C" >&6
if test "${libc_cv_mach_host_page_size+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.$ac_ext <<EOF
#line 222 "configure"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#include <mach/mach_host.defs>
EOF
_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
egrep "host_page_size" >/dev/null 2>&1; then
rm -rf conftest*
libc_cv_mach_host_page_size=yes
else
rm -rf conftest*
libc_cv_mach_host_page_size=no
fi
rm -f conftest*
fi
echo "$ac_t""$libc_cv_mach_host_page_size" 1>&6
echo "$as_me:$LINENO: result: $libc_cv_mach_host_page_size" >&5
echo "${ECHO_T}$libc_cv_mach_host_page_size" >&6
if test $libc_cv_mach_host_page_size = yes; then
cat >> confdefs.h <<\EOF
cat >>confdefs.h <<\_ACEOF
#define HAVE_HOST_PAGE_SIZE 1
EOF
_ACEOF
fi
ac_safe=`echo "mach/machine/ndr_def.h" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for mach/machine/ndr_def.h""... $ac_c" 1>&6
echo "configure:248: checking for mach/machine/ndr_def.h" >&5
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
echo "$as_me:$LINENO: checking for mach/machine/ndr_def.h" >&5
echo $ECHO_N "checking for mach/machine/ndr_def.h... $ECHO_C" >&6
if test "${ac_cv_header_mach_machine_ndr_def_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.$ac_ext <<EOF
#line 253 "configure"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#include <mach/machine/ndr_def.h>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:258: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
rm -rf conftest*
eval "ac_cv_header_$ac_safe=yes"
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
else
ac_cpp_err=
fi
else
echo "$ac_err" >&5
echo "configure: failed program was:" >&5
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
ac_cv_header_mach_machine_ndr_def_h=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
rm -rf conftest*
eval "ac_cv_header_$ac_safe=no"
ac_cv_header_mach_machine_ndr_def_h=no
fi
rm -f conftest*
rm -f conftest.err conftest.$ac_ext
fi
if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
echo "$ac_t""yes" 1>&6
echo "$as_me:$LINENO: result: $ac_cv_header_mach_machine_ndr_def_h" >&5
echo "${ECHO_T}$ac_cv_header_mach_machine_ndr_def_h" >&6
if test $ac_cv_header_mach_machine_ndr_def_h = yes; then
DEFINES="$DEFINES -DNDR_DEF_HEADER='<mach/machine/ndr_def.h>'"
else
echo "$ac_t""no" 1>&6
ac_safe=`echo "machine/ndr_def.h" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for machine/ndr_def.h""... $ac_c" 1>&6
echo "configure:279: checking for machine/ndr_def.h" >&5
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
echo "$as_me:$LINENO: checking for machine/ndr_def.h" >&5
echo $ECHO_N "checking for machine/ndr_def.h... $ECHO_C" >&6
if test "${ac_cv_header_machine_ndr_def_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.$ac_ext <<EOF
#line 284 "configure"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#include <machine/ndr_def.h>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:289: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
rm -rf conftest*
eval "ac_cv_header_$ac_safe=yes"
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
else
ac_cpp_err=
fi
else
echo "$ac_err" >&5
echo "configure: failed program was:" >&5
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
ac_cv_header_machine_ndr_def_h=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
rm -rf conftest*
eval "ac_cv_header_$ac_safe=no"
ac_cv_header_machine_ndr_def_h=no
fi
rm -f conftest*
rm -f conftest.err conftest.$ac_ext
fi
if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
echo "$ac_t""yes" 1>&6
echo "$as_me:$LINENO: result: $ac_cv_header_machine_ndr_def_h" >&5
echo "${ECHO_T}$ac_cv_header_machine_ndr_def_h" >&6
if test $ac_cv_header_machine_ndr_def_h = yes; then
DEFINES="$DEFINES -DNDR_DEF_HEADER='<machine/ndr_def.h>'"
else
echo "$ac_t""no" 1>&6
fi
fi
echo $ac_n "checking for i386_io_perm_modify in mach_i386.defs""... $ac_c" 1>&6
echo "configure:314: checking for i386_io_perm_modify in mach_i386.defs" >&5
if eval "test \"`echo '$''{'libc_cv_mach_i386_ioports'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
echo "$as_me:$LINENO: checking for i386_io_perm_modify in mach_i386.defs" >&5
echo $ECHO_N "checking for i386_io_perm_modify in mach_i386.defs... $ECHO_C" >&6
if test "${libc_cv_mach_i386_ioports+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.$ac_ext <<EOF
#line 319 "configure"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#include <mach/i386/mach_i386.defs>
EOF
_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
egrep "i386_io_perm_modify" >/dev/null 2>&1; then
rm -rf conftest*
libc_cv_mach_i386_ioports=yes
else
rm -rf conftest*
libc_cv_mach_i386_ioports=no
fi
rm -f conftest*
fi
echo "$ac_t""$libc_cv_mach_i386_ioports" 1>&6
echo "$as_me:$LINENO: result: $libc_cv_mach_i386_ioports" >&5
echo "${ECHO_T}$libc_cv_mach_i386_ioports" >&6
if test $libc_cv_mach_i386_ioports = yes; then
cat >> confdefs.h <<\EOF
cat >>confdefs.h <<\_ACEOF
#define HAVE_I386_IO_PERM_MODIFY 1
EOF
_ACEOF
fi
echo $ac_n "checking for i386_set_gdt in mach_i386.defs""... $ac_c" 1>&6
echo "configure:344: checking for i386_set_gdt in mach_i386.defs" >&5
if eval "test \"`echo '$''{'libc_cv_mach_i386_gdt'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
echo "$as_me:$LINENO: checking for i386_set_gdt in mach_i386.defs" >&5
echo $ECHO_N "checking for i386_set_gdt in mach_i386.defs... $ECHO_C" >&6
if test "${libc_cv_mach_i386_gdt+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.$ac_ext <<EOF
#line 349 "configure"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#include <mach/i386/mach_i386.defs>
EOF
_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
egrep "i386_set_gdt" >/dev/null 2>&1; then
rm -rf conftest*
libc_cv_mach_i386_gdt=yes
else
rm -rf conftest*
libc_cv_mach_i386_gdt=no
fi
rm -f conftest*
fi
echo "$ac_t""$libc_cv_mach_i386_gdt" 1>&6
echo "$as_me:$LINENO: result: $libc_cv_mach_i386_gdt" >&5
echo "${ECHO_T}$libc_cv_mach_i386_gdt" >&6
if test $libc_cv_mach_i386_gdt = yes; then
cat >> confdefs.h <<\EOF
cat >>confdefs.h <<\_ACEOF
#define HAVE_I386_SET_GDT 1
EOF
_ACEOF
fi

View File

@ -1,16 +1,16 @@
sinclude(./aclocal.m4)dnl Autoconf lossage.
GLIBC_PROVIDES dnl See aclocal.m4 in the top level source directory.
dnl Autoconf weirdness requires that AC_CHECK_TOOL be in the main configure.in,
dnl but only on Mach-based configurations is the tool needed.
AC_CHECK_TOOL(MIG, mig, MISSING)
if test "x$MIG" = xMISSING; then
AC_MSG_ERROR([cannot find required build tool mig])
fi
### Sanity checks for Mach header installation
AC_CHECK_HEADER(mach/mach_types.h,, [AC_MSG_ERROR([cannot find Mach headers])])
AC_CHECK_HEADER(mach/mach_types.h,,
[AC_MSG_ERROR([cannot find Mach headers])], -)
AC_CHECK_HEADER(mach/mach_types.defs,, [dnl
AC_MSG_ERROR([cannot find Mach .defs files])])
AC_MSG_ERROR([cannot find Mach .defs files])], -)
dnl
dnl mach_TYPE_CHECK(foo_t, bar_t)
@ -61,7 +61,7 @@ for ifc in mach mach4 \
i386/mach_i386 \
; do
AC_CHECK_HEADER(mach/${ifc}.defs, [dnl
mach_interface_list="$mach_interface_list $ifc"])
mach_interface_list="$mach_interface_list $ifc"],, -)
done
if test "x$mach_interface_list" = x; then
AC_MSG_ERROR([what manner of Mach is this?])
@ -79,7 +79,7 @@ fi
AC_CHECK_HEADER(mach/machine/ndr_def.h, [dnl
DEFINES="$DEFINES -DNDR_DEF_HEADER='<mach/machine/ndr_def.h>'"], [dnl
AC_CHECK_HEADER(machine/ndr_def.h, [dnl
DEFINES="$DEFINES -DNDR_DEF_HEADER='<machine/ndr_def.h>'"])])
DEFINES="$DEFINES -DNDR_DEF_HEADER='<machine/ndr_def.h>'"],, -)], -)
AC_CACHE_CHECK(for i386_io_perm_modify in mach_i386.defs,
libc_cv_mach_i386_ioports, [dnl